/** 
 * bhgUtils.java
 *
 * Description:	
 * @author			Nikita Mikros (c)2002 Black Hammer Game, Inc.
 * @version		
 *
 * a small class containing only static utility methods	
 */
public class bhgUtils
{
	/*static short swapBytesOld(short inShort)
	{
		short high, low; 
		high =(short)(inShort>>8);
		low =(short)(inShort & 0x00FF);
		return (short)( low<<8 | high);
	
	}*/
	static short swapBytes(short inShort)
	{
		short high, low; 
		high =(short)((inShort>>8) & 0x00FF);
		low =(short)(inShort & 0x00FF);
		short result =  (short)( low<<8 | high);
		//System.out.println("inShort = "+Integer.toHexString(inShort)+" result = "+Integer.toHexString(result));

		return result;
	
	}

	static int swapBytes(int inInt)
	{
		int a, b,c,d; 
		a =(inInt>>24)& 0x000000FF;
		b = (inInt>>16) & 0x000000FF;
		c = (inInt>>8) & 0x000000FF;
		d =(inInt & 0x000000FF);
		int result =  ( a | b<<8 | c << 16 | d << 24);
		//System.out.println("inInt = "+Integer.toHexString(inInt)+" result = "+Integer.toHexString(result));

		return result;
		
	}
	static byte[] toBytes(String s, int maxSize)
	{
		byte[] b2 = new byte[maxSize];
		int end = 0;
		if(s != null)
		{
			byte[] b1 = s.getBytes();
			int theSize = b1.length > (maxSize-1) ? (maxSize-1) : b1.length;
			end = theSize;
			for(int i = 0; i < theSize; i++)
			{
				b2[i] = b1[i];
			
			}
			System.out.println("toBytes:"+s);
		}
		//make sure this guy is null terminated
		b2[end] = 0;
		return b2;
	
	}
}