/** 
 * mapFrame.java
 *
 * Title:			MapHelper
 * Description:		This utility allows us to create maps of differing sizes.
Features Include:
* Placement of terrain
* Placement of obstacles
* Export of pathfinding solution table

 * @author			Administrator
 * @version			
 */


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class mapFrame extends javax.swing.JFrame {

// IMPORTANT: Source code between BEGIN/END comment pair will be regenerated
// every time the form is saved. All manual changes will be overwritten.
// BEGIN GENERATED CODE
	// member declarations
	javax.swing.JMenuBar jMenuBar1 = new javax.swing.JMenuBar();
	javax.swing.JMenu jMenuFile = new javax.swing.JMenu();
	javax.swing.JMenuItem jMenuFileNew = new javax.swing.JMenuItem();
	javax.swing.JMenuItem jMenuFileOpen = new javax.swing.JMenuItem();
	javax.swing.JSeparator jMenuFileSeparator1 = new javax.swing.JSeparator();
	javax.swing.JMenuItem jMenuFileSave = new javax.swing.JMenuItem();
	javax.swing.JMenuItem jMenuFileSaveAs = new javax.swing.JMenuItem();
	javax.swing.JSeparator jMenuFileSeparator2 = new javax.swing.JSeparator();
	javax.swing.JMenuItem jMenuFileExport = new javax.swing.JMenuItem();
	java.awt.Choice mTileChoice = new java.awt.Choice();
	java.awt.Choice mObjectChoice = new java.awt.Choice();
	java.awt.Label label1 = new java.awt.Label();
	java.awt.Label label2 = new java.awt.Label();
	java.awt.TextField mWidthField = new java.awt.TextField();
	java.awt.TextField mHeightField = new java.awt.TextField();
	java.awt.Label label3 = new java.awt.Label();
	java.awt.Label label4 = new java.awt.Label();
	java.awt.TextField mXOffsetField = new java.awt.TextField();
	java.awt.TextField mYOffsetField = new java.awt.TextField();
	java.awt.Label label5 = new java.awt.Label();
	java.awt.Label label6 = new java.awt.Label();
	java.awt.ScrollPane scrollPane1 = new java.awt.ScrollPane();
	java.awt.Label mStatus = new java.awt.Label();
// END GENERATED CODE

	public mapFrame() {
	}

	public void initComponents() throws Exception {
// IMPORTANT: Source code between BEGIN/END comment pair will be regenerated
// every time the form is saved. All manual changes will be overwritten.
// BEGIN GENERATED CODE
		// the following code sets the frame's initial state
		jMenuBar1.setVisible(true);
		jMenuBar1.setBackground(java.awt.SystemColor.control);
		jMenuBar1.setFont(new java.awt.Font("Dialog", 0, 12));
		jMenuFile.setVisible(true);
		jMenuFile.setText("File");
		jMenuFile.setBackground(java.awt.SystemColor.control);
		jMenuFileNew.setBorder(new javax.swing.plaf.BorderUIResource.EmptyBorderUIResource(new java.awt.Insets(0, 0, 0, 0)));
		jMenuFileNew.setVisible(true);
		jMenuFileNew.setFont(new java.awt.Font("Dialog", 0, 12));
		jMenuFileNew.setText("New");
		jMenuFileNew.setBackground(java.awt.SystemColor.control);
		jMenuFileOpen.setBorder(new javax.swing.plaf.BorderUIResource.EmptyBorderUIResource(new java.awt.Insets(0, 0, 0, 0)));
		jMenuFileOpen.setVisible(true);
		jMenuFileOpen.setFont(new java.awt.Font("Dialog", 0, 12));
		jMenuFileOpen.setText("Open");
		jMenuFileOpen.setBackground(java.awt.SystemColor.control);
		jMenuFileSeparator1.setVisible(true);
		jMenuFileSeparator1.setBackground(java.awt.SystemColor.control);
		jMenuFileSave.setBorder(new javax.swing.plaf.BorderUIResource.EmptyBorderUIResource(new java.awt.Insets(0, 0, 0, 0)));
		jMenuFileSave.setVisible(true);
		jMenuFileSave.setFont(new java.awt.Font("Dialog", 0, 12));
		jMenuFileSave.setText("Save");
		jMenuFileSave.setBackground(java.awt.SystemColor.control);
		jMenuFileSaveAs.setBorder(new javax.swing.plaf.BorderUIResource.EmptyBorderUIResource(new java.awt.Insets(0, 0, 0, 0)));
		jMenuFileSaveAs.setVisible(true);
		jMenuFileSaveAs.setFont(new java.awt.Font("Dialog", 0, 12));
		jMenuFileSaveAs.setText("SaveAs");
		jMenuFileSaveAs.setBackground(java.awt.SystemColor.control);
		jMenuFileSeparator2.setVisible(true);
		jMenuFileSeparator2.setBackground(java.awt.SystemColor.control);
		jMenuFileExport.setBorder(new javax.swing.plaf.BorderUIResource.EmptyBorderUIResource(new java.awt.Insets(0, 0, 0, 0)));
		jMenuFileExport.setVisible(true);
		jMenuFileExport.setFont(new java.awt.Font("Dialog", 0, 12));
		jMenuFileExport.setText("Export");
		jMenuFileExport.setBackground(java.awt.SystemColor.control);
		mTileChoice.setVisible(true);
		mTileChoice.setLocation(new java.awt.Point(360, 40));
		mTileChoice.setSize(new java.awt.Dimension(120, 21));
		mObjectChoice.setVisible(true);
		mObjectChoice.setLocation(new java.awt.Point(360, 100));
		mObjectChoice.setSize(new java.awt.Dimension(120, 21));
		label1.setVisible(true);
		label1.setLocation(new java.awt.Point(360, 10));
		label1.setText("Pick a Tile Type");
		label1.setSize(new java.awt.Dimension(120, 20));
		label2.setVisible(true);
		label2.setLocation(new java.awt.Point(360, 70));
		label2.setText("Pick a Tile Type");
		label2.setSize(new java.awt.Dimension(120, 20));
		mWidthField.setLocation(new java.awt.Point(360, 150));
		mWidthField.setVisible(true);
		mWidthField.setText("15");
		mWidthField.setSize(new java.awt.Dimension(50, 20));
		mHeightField.setLocation(new java.awt.Point(430, 150));
		mHeightField.setVisible(true);
		mHeightField.setText("15");
		mHeightField.setSize(new java.awt.Dimension(50, 20));
		label3.setVisible(true);
		label3.setLocation(new java.awt.Point(360, 130));
		label3.setText("width");
		label3.setSize(new java.awt.Dimension(50, 20));
		label4.setVisible(true);
		label4.setLocation(new java.awt.Point(430, 130));
		label4.setText("height");
		label4.setSize(new java.awt.Dimension(50, 20));
		mXOffsetField.setLocation(new java.awt.Point(360, 200));
		mXOffsetField.setVisible(true);
		mXOffsetField.setText("15");
		mXOffsetField.setSize(new java.awt.Dimension(50, 20));
		mYOffsetField.setLocation(new java.awt.Point(430, 200));
		mYOffsetField.setVisible(true);
		mYOffsetField.setText("15");
		mYOffsetField.setSize(new java.awt.Dimension(50, 20));
		label5.setVisible(true);
		label5.setLocation(new java.awt.Point(360, 180));
		label5.setText("x offset");
		label5.setSize(new java.awt.Dimension(50, 20));
		label6.setVisible(true);
		label6.setLocation(new java.awt.Point(430, 180));
		label6.setText("y offset");
		label6.setSize(new java.awt.Dimension(50, 20));
		scrollPane1.setLocation(new java.awt.Point(40, 40));
		scrollPane1.setVisible(true);
		scrollPane1.setSize(new java.awt.Dimension(260, 260));
		mStatus.setVisible(true);
		mStatus.setLocation(new java.awt.Point(40, 310));
		mStatus.setSize(new java.awt.Dimension(250, 20));
		setLocation(new java.awt.Point(0, 0));
		setJMenuBar(jMenuBar1);
		getContentPane().setLayout(null);
		setTitle("mapFrame");
		getContentPane().setBackground(java.awt.SystemColor.control);

		jMenuBar1.add(jMenuFile);
		jMenuFile.add(jMenuFileNew);
		jMenuFile.add(jMenuFileOpen);
		jMenuFile.add(jMenuFileSeparator1);
		jMenuFile.add(jMenuFileSave);
		jMenuFile.add(jMenuFileSaveAs);
		jMenuFile.add(jMenuFileSeparator2);
		jMenuFile.add(jMenuFileExport);
		getContentPane().add(mTileChoice);
		getContentPane().add(mObjectChoice);
		getContentPane().add(label1);
		getContentPane().add(label2);
		getContentPane().add(mWidthField);
		getContentPane().add(mHeightField);
		getContentPane().add(label3);
		getContentPane().add(label4);
		getContentPane().add(mXOffsetField);
		getContentPane().add(mYOffsetField);
		getContentPane().add(label5);
		getContentPane().add(label6);
		getContentPane().add(scrollPane1);
		getContentPane().add(mStatus);

		setSize(new java.awt.Dimension(512, 512));

		// event handling
		addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent e) {
				thisWindowClosing(e);
			}
		});

// END GENERATED CODE
	}
  
  	private boolean mShown = false;
  	
	public void addNotify() {
		super.addNotify();
		
		if (mShown)
			return;
			
		// resize frame to account for menubar
		JMenuBar jMenuBar = getJMenuBar();
		if (jMenuBar != null) {
			int jMenuBarHeight = jMenuBar.getPreferredSize().height;
			Dimension dimension = getSize();
			dimension.height += jMenuBarHeight;
			setSize(dimension);
			
			// move down components in layered pane
			Component[] components = getLayeredPane().getComponentsInLayer(JLayeredPane.DEFAULT_LAYER.intValue());
			for (int i = 0; i < components.length; i++) {
				Point location = components[i].getLocation();
				location.move(location.x, location.y + jMenuBarHeight);
				components[i].setLocation(location);
			}
		}

		mShown = true;
	}

	// Close the window when the close box is clicked
	void thisWindowClosing(java.awt.event.WindowEvent e) {
		setVisible(false);
		dispose();
		System.exit(0);
	}
	
}
